.sights {
  margin: 320px auto auto auto;
  padding: 0px 20px 70px 20px;
  max-width: 1200px;
}

.sights-header {
  margin-top: 70px;
  text-align: center;
  margin-bottom: 30px;
}

.sights-header h1 {
  font-size: 2.6rem;
  color: var(--header-color);
}

.sights-header p {
  color: var(--header-color);
  margin-top: 10px;
  margin-bottom: 10px;
}

.sights-devider {
  width: 50%;
  margin-right: auto;
  margin-left: auto;
  margin-bottom: 70px;
  border: solid 1px var(--primary-color);
}

.sights-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
}

.sight-card {
  background: var(--secondary-color);
  border-radius: 16px;
  overflow: hidden;
  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
  display: flex;
  flex-direction: column;
  height: auto;
  flex: 0 1 380px;
}

.sight-card:hover {
  transform: translateY(-6px);
  box-shadow: 0 12px 30px rgba(0, 0, 0, 0.4);
}

/* 🔽 4:3 képarány */
.sight-card .sight {
  width: 100%;
  aspect-ratio: 4 / 3;
  object-fit: cover;
  display: block;
}

.sight-content {
  padding: 20px 20px 18px 20px;
  display: flex;
  flex: 1;
  flex-direction: column;
  justify-content: space-between;
}

.sight-content h3 {
  color: var(--primary-color);
  margin-top: 0;
  margin-bottom: 10px;
  font-size: 1.3rem;
}

.sight-content .desc {
  color: var(--font-color);
  font-size: 0.95rem;
  line-height: 1.5;
}

.meta {
  list-style: none;
  padding: 0;
  margin: 0;
  color: var(--font-color);
  font-size: 0.85rem;
}

.meta div a {
  width: fit-content;
  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 10px;
  color: var(--font-color);
  text-decoration: none;
}

.meta p {
  margin: 10px 0;
}

.location {
  width: 30px;
  height: 30px;
}

.meta div a:hover {
  text-decoration: underline;
}
@media (max-width: 425px) {
  .sights-header h1 {
    font-size: 2rem;
  }
  .sight-card {
    flex: 1 1 100%;
  }
  .sights {
    padding: auto;
  }
}